package com.roo.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
* app版本号
*
* @author momin 460363410@qq.com
* @since 1.0 2021-07-02
*/
@Data
@ApiModel(value = "app版本号")
public class AppRevisionDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    @ApiModelProperty(value = "下载链接")
    private String downloadUrl;
    @ApiModelProperty(value = "平台（安卓/ios）")
    private String platform;
    @ApiModelProperty(value = "版本号")
    private String version;
    @ApiModelProperty(value = "描述")
    private String remark;
    @ApiModelProperty(value = "发布时间")
    private Date publishTime;
    @ApiModelProperty(value = "是否强制更新（1强制，0选择更新）")
    private Integer type;

}