package com.roo.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
* 区块链配置
*
* @author momin 460363410@qq.com
* @since 1.0 2021-07-02
*/
@Data
@ApiModel(value = "区块链配置")
public class BlockChainDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID主键")
    private Long id;
    @ApiModelProperty(value = "主链标识")
    private String code;
    @ApiModelProperty(value = "名称")
    private String name;
    @ApiModelProperty(value = "英文名全称")
    private String nameEn;
    @ApiModelProperty(value = "图标")
    private String icon;
    @ApiModelProperty(value = "排序，最小靠前")
    private Integer sort;
    @ApiModelProperty(value = "是否启用")
    private Boolean isEnabled;
    @ApiModelProperty(value = "创建时间")
    private Date createDate;
    @ApiModelProperty(value = "更新时间")
    private Date updateDate;

}