package com.roo.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import com.baomidou.mybatisplus.annotation.*;
	import java.util.Date;

/**
* 区块链配置
*
* @author momin 460363410@qq.com
* @since 1.0 2021-07-02
*/
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("roo_wallet.t_block_chain")
public class BlockChainEntity {
private static final long serialVersionUID = 1L;

			/**
			* ID主键
			*/
			@TableId
		private Long id;
			/**
			* 主链标识
			*/
		private String code;
			/**
			* 名称
			*/
		private String name;
			/**
			* 英文名全称
			*/
		private String nameEn;
			/**
			* 图标
			*/
		private String icon;
			/**
			* 排序，最小靠前
			*/
		private Integer sort;
			/**
			* 是否启用
			*/
		private Boolean isEnabled;
			/**
			* 创建时间
			*/
			@TableField(fill = FieldFill.INSERT)
		private Date createDate;
			/**
			* 更新时间
			*/
			@TableField(fill = FieldFill.INSERT_UPDATE)
		private Date updateDate;
}
