package com.roo.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import com.baomidou.mybatisplus.annotation.*;
	import java.util.Date;

/**
* 法币币种
*
* @author momin 460363410@qq.com
* @since 1.0 2021-07-02
*/
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("roo_wallet.t_otc")
public class OtcEntity {
private static final long serialVersionUID = 1L;

			/**
			* id主键
			*/
			@TableId
		private Long id;
			/**
			* 法币名称
			*/
		private String name;
			/**
			* 法币符号
			*/
		private String symbol;
			/**
			* 图标
			*/
		private String icon;
			/**
			* 小数位
			*/
		private Integer decimals;
			/**
			* 排序，最小靠前
			*/
		private Integer sort;
			/**
			* 是否启用(1=启用，0=关闭)
			*/
		private Boolean isEnabled;
			/**
			* 创建时间
			*/
			@TableField(fill = FieldFill.INSERT)
		private Date createDate;
			/**
			* 更新时间
			*/
			@TableField(fill = FieldFill.INSERT_UPDATE)
		private Date updateDate;
}
