package com.roo.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import com.baomidou.mybatisplus.annotation.*;
	import java.util.Date;

/**
* 代币管理
*
* @author momin 460363410@qq.com
* @since 1.0 2021-07-02
*/
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("roo_wallet.t_token")
public class TokenEntity {
private static final long serialVersionUID = 1L;

			/**
			* ID主键
			*/
			@TableId
		private Long id;
			/**
			* block_chain_code
			*/
		private String chainCode;
			/**
			* 币种名
			*/
		private String name;
			/**
			* 英文币种名
			*/
		private String nameEn;
			/**
			* 符号
			*/
		private String symbol;
			/**
			* 合约地址
			*/
		private String contractId;
			/**
			* 小数位
			*/
		private Integer decimals;
			/**
			* 排序,正序
			*/
		private Integer sort;
			/**
			* 是否系统推荐
			*/
		private Boolean isRecommend;
			/**
			* 是否可搜索
			*/
		private Boolean isSearch;
			/**
			* 是否可区块扫描
			*/
		private Boolean isScan;
			/**
			* 创建时间
			*/
			@TableField(fill = FieldFill.INSERT)
		private Date createDate;
			/**
			* 更新时间
			*/
			@TableField(fill = FieldFill.INSERT_UPDATE)
		private Date updateDate;
}
