/**
 * Copyright (c) 2021  All rights reserved.
 * <p>
 *
 * <p>
 *
 */

package com.roo.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 上传信息
 *
 * @author Mark sunlightcs@gmail.com
 * @since 1.1.0
 */
@Data
@ApiModel(value = "上传信息")
public class UploadDTO {
    @ApiModelProperty(value = "文件URL")
    private String url;
    @ApiModelProperty(value = "文件大小，单位字节")
    private Long size;

}
