package com.roo.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
* 法币币种
*
* @author momin 460363410@qq.com
* @since 1.0 2021-07-02
*/
@Data
@ApiModel(value = "法币币种")
public class OtcDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id主键")
    private Long id;
    @ApiModelProperty(value = "法币名称")
    private String name;
    @ApiModelProperty(value = "法币符号")
    private String symbol;
    @ApiModelProperty(value = "图标")
    private String icon;
    @ApiModelProperty(value = "小数位")
    private Integer decimals;
    @ApiModelProperty(value = "排序，最小靠前")
    private Integer sort;
    @ApiModelProperty(value = "是否启用(1=启用，0=关闭)")
    private Boolean isEnabled;
    @ApiModelProperty(value = "创建时间")
    private Date createDate;
    @ApiModelProperty(value = "更新时间")
    private Date updateDate;

}