package com.roo.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

/**
 * app版本号
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("roo_wallet.t_app_revision")
public class AppRevisionEntity {
    private static final long serialVersionUID = 1L;

    @TableId
    private Long id;
    /**
     * 下载链接
     */
    private String downloadUrl;
    /**
     * 链接网址
     */
    private String linkUrl;
    /**
     * 平台（安卓/ios）
     */
    private String platform;
    /**
     * 版本号
     */
    private String version;
    /**
     * 描述
     */
    private String remark;
    /**
     * 发布时间
     */
    private Date publishTime;
    /**
     * 是否强制更新（1强制，0选择更新）
     */
    private Integer type;
}
