package com.roo.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import com.baomidou.mybatisplus.annotation.*;
	import java.util.Date;

/**
* RPC节点配置
*
* @author momin 460363410@qq.com
* @since 1.0 2021-07-02
*/
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("roo_wallet.t_chain_nodes")
public class ChainNodesEntity {
private static final long serialVersionUID = 1L;

			/**
			* id主键
			*/
			@TableId
		private Long id;
			/**
			* block_chain_code
			*/
		private String chainCode;
			/**
			* 网络标识(MAIN=主网，TEST=测试网)
			*/
		private String network;
			/**
			* 节点RPC链接
			*/
		private String rpcUrl;
			/**
			* 区块浏览器
			*/
		private String browserUrl;
			/**
			* 排序，最小靠前
			*/
		private Integer sort;
			/**
			* 是否启用
			*/
		private Boolean isEnabled;
			/**
			* 创建时间
			*/
			@TableField(fill = FieldFill.INSERT)
		private Date createDate;
			/**
			* 更新时间
			*/
			@TableField(fill = FieldFill.INSERT_UPDATE)
		private Date updateDate;
}
