package com.roo.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

/**
 * dapp管理
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("roo_wallet.t_dapps")
public class DappsEntity {
    private static final long serialVersionUID = 1L;

    @TableId
    private Long id;
    /**
     * 名称
     */
    private String name;
    /**
     * 图标
     */
    private String icon;
    /**
     * 类型
     */
    private String type;
    /**
     * 访问地址
     */
    private String links;
    private String discription;
    /**
     * 是否热门（1：热门 0：非热门）
     */
    private Integer hots;
    /**
     * dapp所属链
     */
    private String chain;
    /**
     * 是否显示（show、hide）
     */
    private String display;
    /**
     * 排序（排序，最小靠前）
     */
    private Integer sort;

    /**
     * 是否多链 1是 0否
     */
    private Integer multis;

    /**
     * 收录时间
     */
    private Date createTime;
}
