package com.roo.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import com.baomidou.mybatisplus.annotation.*;
	import java.math.BigDecimal;
	import java.util.Date;

/**
* 交易对管理
*
* @author momin 460363410@qq.com
* @since 1.0 2021-07-02
*/
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("roo_wallet.t_market")
public class MarketEntity {
private static final long serialVersionUID = 1L;

			/**
			* ID主键
			*/
			@TableId
		private Long id;
			/**
			* 符号
			*/
		private String symbol;
			/**
			* 对比币种
			*/
		private String baseAsset;
			/**
			* 计价币种
			*/
		private String quoteAsset;
			/**
			* 排序，正序
			*/
		private Integer sort;
			/**
			* 发行量
			*/
		private BigDecimal initSupply;
			/**
			* 小数位
			*/
		private Integer decimals;
			/**
			* 是否显示
			*/
		private Boolean isShow;
			/**
			* 创建时间
			*/
			@TableField(fill = FieldFill.INSERT)
		private Date createDate;
			/**
			* 更新时间
			*/
			@TableField(fill = FieldFill.INSERT_UPDATE)
		private Date updateDate;
}
