package com.roo.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;
import java.util.Date;

/**
 * app版本号
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Data
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(25)
public class AppRevisionExcel {
    @ExcelProperty(value = "Long", index = 0)
    private Long id;
    @ExcelProperty(value = "下载链接", index = 1)
    private String downloadUrl;
    @ExcelProperty(value = "平台（安卓/ios）", index = 2)
    private String platform;
    @ExcelProperty(value = "版本号", index = 3)
    private String version;
    @ExcelProperty(value = "描述", index = 4)
    private String remark;
    @ExcelProperty(value = "发布时间", index = 5)
    private Date publishTime;
    @ExcelProperty(value = "是否强制更新（1强制，0选择更新）", index = 6)
    private Integer type;
}