package com.roo.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;
import java.util.Date;

/**
 * dapp管理
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Data
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(25)
public class DappsExcel {
    @ExcelProperty(value = "Long", index = 0)
    private Long id;
    @ExcelProperty(value = "名称", index = 1)
    private String name;
    @ExcelProperty(value = "图标", index = 2)
    private String icon;
    @ExcelProperty(value = "类型", index = 3)
    private String type;
    @ExcelProperty(value = "访问地址", index = 4)
    private String links;
    @ExcelProperty(value = "是否热门（1：热门 0：非热门）", index = 5)
    private Integer hots;
    @ExcelProperty(value = "dapp所属链", index = 6)
    private String chain;
    @ExcelProperty(value = "是否显示（show、hide）", index = 7)
    private String display;
    @ExcelProperty(value = "排序（排序，最小靠前）", index = 8)
    private Integer sort;
    @ExcelProperty(value = "收录时间", index = 9)
    private Date createTime;
}