package com.roo.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;
import java.util.Date;

/**
 * 法币币种
 *
 * @author momin 460363410@qq.com
 * @since 1.0 2021-07-02
 */
@Data
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(25)
public class OtcExcel {
    @ExcelProperty(value = "id主键", index = 0)
    private Long id;
    @ExcelProperty(value = "法币名称", index = 1)
    private String name;
    @ExcelProperty(value = "法币符号", index = 2)
    private String symbol;
    @ExcelProperty(value = "图标", index = 3)
    private String icon;
    @ExcelProperty(value = "小数位", index = 4)
    private Integer decimals;
    @ExcelProperty(value = "排序，最小靠前", index = 5)
    private Integer sort;
    @ExcelProperty(value = "是否启用(1=启用，0=关闭)", index = 6)
    private Boolean isEnabled;
    @ExcelProperty(value = "创建时间", index = 7)
    private Date createDate;
    @ExcelProperty(value = "更新时间", index = 8)
    private Date updateDate;
}