/**
 * Copyright (c) 2021  All rights reserved.
 *
 *
 *
 *
 */

package com.roo.service;

import com.roo.commons.mybatis.service.BaseService;
import com.roo.commons.tools.page.PageData;
import com.roo.dto.SysTenantDTO;
import com.roo.entity.SysTenantEntity;

import java.util.Map;


/**
 * 租户管理
 *
 * @author Mark sunlightcs@gmail.com
 */
public interface SysTenantService extends BaseService<SysTenantEntity> {

	PageData<SysTenantDTO> page(Map<String, Object> params);

	SysTenantDTO get(Long id);

	void save(SysTenantDTO dto);

	void update(SysTenantDTO dto);

	void delete(Long[] ids);

	SysTenantDTO getTenantCode(Long tenantCode);
}
