/**
 * Copyright (c) 2021  All rights reserved.
 *
 *
 *
 *
 */
package com.roo.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;

/**
 * 关闭 SpringSecurity
 *
 * @author Mark sunlightcs@gmail.com
 */
@Configuration
public class WebSecurityConfig extends WebSecurityConfigurerAdapter {

    @Override
    public void configure(HttpSecurity http) throws Exception {
        http.authorizeRequests(authorizeRequests -> authorizeRequests.anyRequest().permitAll());
        http.csrf().disable();
    }

}
