/**
 * Copyright (c) 2021  All rights reserved.
 *
 *
 *
 *
 */

package com.roo.service;

import com.roo.dto.SysMailTemplateDTO;
import com.roo.commons.mybatis.service.CrudService;
import com.roo.entity.SysMailTemplateEntity;

/**
 * 邮件模板
 *
 * @author Mark sunlightcs@gmail.com
 */
public interface SysMailTemplateService extends CrudService<SysMailTemplateEntity, SysMailTemplateDTO> {

    /**
     * 发送邮件
     * @param id           邮件模板ID
     * @param mailTo       收件人
     * @param mailCc       抄送
     * @param params       模板参数
     */
    boolean sendMail(Long id, String mailTo, String mailCc, String params) throws Exception;
}
