/**
 * Copyright (c) 2019  All rights reserved.
 *
 *
 *
 *
 */
package com.roo.service;

import com.roo.commons.mybatis.service.CrudService;
import com.roo.dto.StorageDTO;
import com.roo.entity.StorageEntity;

/**
 * 库存表
 *
 * @author Mark sunlightcs@gmail.com
 */
public interface StorageService extends CrudService<StorageEntity, StorageDTO> {

    /**
     * 减库存
     *
     * @param commodityCode 商品代码
     * @param count         数量
     */
    void deduct(String commodityCode, int count);

}
